Skip to main content

Describe Volume (V2)

Describes a volume in detail.

GET/v2/volumes/{VOLUME_NAME}
Connection Endpoint

The base URL for this API is in the following format:

https://api.cloud.zilliz.com

📘Notes

The endpoints on the control plane currently supports up to 20 requests per second per user per endpoint.

export BASE_URL="https://api.cloud.zilliz.com"
Parameters
Authorizationstringheaderrequired

The authentication token should be an API key with appropriate privileges or a pair of colon-joined username and password, like username:password.

Example Value: Bearer {{TOKEN}}
VOLUME_NAMEstringpathrequired

The name of the volume to describe.

Example Value: my_volume
export TOKEN="YOUR_API_KEY"
export VOLUME_NAME="my_volume"

curl --request GET \
--url "${BASE_URL}/v2/volumes/${VOLUME_NAME}" \
--header "Authorization: Bearer ${TOKEN}" \
--header "Content-Type: application/json"
Responses200 - application/json
codeinteger

Response code.

dataobject

Response payload which contains volume details.

volumeNamestring

The name of the volume.

typestring

The category of the volume.

regionIdstring

The ID of the region where the volume is located.

storageIntegrationIdstring

The storage integration ID. Only returned for external volumes.

pathstring

The path prefix within the volume. Only returned for external volumes.

statusstring

The current status of the volume.

createTimestring

The creation time of the volume in ISO 8601 format.

A failure response.

codeinteger

Response code.

messagestring

Error message.

{
"code": 0,
"data": {
"volumeName": "my_volume",
"type": "MANAGED",
"regionId": "aws-us-west-2",
"status": "RUNNING",
"createTime": "2026-05-06T03:50:35Z"
}
}
{
"code": 0,
"data": {
"volumeName": "my_external_volume",
"type": "EXTERNAL",
"regionId": "aws-us-west-2",
"storageIntegrationId": "si-123456",
"path": "data/",
"status": "RUNNING",
"createTime": "2026-05-06T03:50:35Z"
}
}